// File: update_index.h
// Author: Theodore Norvell
// June 10, 1999

#ifndef UPDATE_INDEX_H
#define UPDATE_INDEX_H

#include "ch_string.h"

#include "function.tli"
#include "set.tli"

typedef Set<ch_string>                   StringSet ;
typedef Function< ch_string, StringSet > Index ;

void update_index( Index     & index,
                   ch_string   url,
                   StringSet   words,
                   bool      & ok );

#endif